admin.css 6.5 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332
  1. * {
  2. -webkit-box-sizing: border-box;
  3. -moz-box-sizing: border-box;
  4. box-sizing: border-box;
  5. }
  6. #logo {
  7. height: 30px;
  8. vertical-align: -6px;
  9. padding-right: 5px;
  10. }
  11. #site-name:hover a {
  12. opacity: 0.9;
  13. }
  14. #site-name .loader {
  15. height: 25px;
  16. width: 25px;
  17. display: inline-block;
  18. border-width: 3px;
  19. vertical-align: -3px;
  20. margin-right: 5px;
  21. margin-top: 2px;
  22. }
  23. #branding h1, #branding h1 a:link, #branding h1 a:visited {
  24. color: mintcream;
  25. }
  26. #header {
  27. background: #aa1e55;
  28. padding: 6px 14px;
  29. }
  30. #content {
  31. padding: 8px 8px;
  32. }
  33. #user-tools {
  34. font-size: 13px;
  35. }
  36. div.breadcrumbs {
  37. background: #772948;
  38. color: #f5dd5d;
  39. padding: 6px 15px;
  40. }
  41. #toolbar #searchbar {
  42. height: 25px;
  43. }
  44. #snapshot-view-mode {
  45. float: right;
  46. margin-bottom: -40px;
  47. display: inline-block;
  48. margin-top: 3px;
  49. margin-right: 10px;
  50. font-size: 14px;
  51. opacity: 0.8;
  52. }
  53. #snapshot-view-mode a {
  54. color: #ccc;
  55. }
  56. body.model-snapshot.change-list div.breadcrumbs,
  57. body.model-snapshot.change-list #content .object-tools {
  58. display: none;
  59. }
  60. .module h2, .module caption, .inline-group h2 {
  61. background: #772948;
  62. }
  63. #content .object-tools {
  64. margin-top: -35px;
  65. margin-right: -10px;
  66. float: right;
  67. }
  68. #content .object-tools a:link, #content .object-tools a:visited {
  69. border-radius: 0px;
  70. background-color: #f5dd5d;
  71. color: #333;
  72. font-size: 12px;
  73. font-weight: 800;
  74. }
  75. #content .object-tools a.addlink {
  76. background-blend-mode: difference;
  77. }
  78. #content #changelist #toolbar {
  79. padding: 0px;
  80. background: none;
  81. margin-bottom: 10px;
  82. border-top: 0px;
  83. border-bottom: 0px;
  84. }
  85. #content #changelist #toolbar form input[type="submit"] {
  86. border-color: #aa1e55;
  87. }
  88. #content #changelist-filter li.selected a {
  89. color: #aa1e55;
  90. }
  91. /*#content #changelist .actions {
  92. position: fixed;
  93. bottom: 0px;
  94. z-index: 800;
  95. }*/
  96. #content #changelist .actions {
  97. float: right;
  98. margin-top: -34px;
  99. padding: 0px;
  100. background: none;
  101. margin-right: 0px;
  102. width: auto;
  103. max-height: 40px;
  104. overflow: hidden;
  105. display: block;
  106. }
  107. @media (max-width: 1000px) {
  108. #content #changelist .actions {
  109. max-height: 200px;
  110. }
  111. }
  112. #content #changelist .actions .button {
  113. border-radius: 2px;
  114. background-color: #f5dd5d;
  115. color: #333;
  116. font-size: 12px;
  117. font-weight: 800;
  118. margin-right: 4px;
  119. box-shadow: 4px 4px 4px rgba(0,0,0,0.02);
  120. border: 1px solid rgba(0,0,0,0.08);
  121. }
  122. #content #changelist .actions .button:hover {
  123. border: 1px solid rgba(0,0,0,0.2);
  124. opacity: 0.9;
  125. }
  126. #content #changelist .actions .button[name=verify_snapshots], #content #changelist .actions .button[name=update_titles] {
  127. background-color: #dedede;
  128. color: #333;
  129. }
  130. #content #changelist .actions .button[name=update_snapshots] {
  131. background-color:lightseagreen;
  132. color: #333;
  133. }
  134. #content #changelist .actions .button[name=resnapshot_snapshot] {
  135. background-color: #9ee54b;
  136. color: #333;
  137. }
  138. #content #changelist .actions .button[name=overwrite_snapshots] {
  139. background-color: #ffaa31;
  140. color: #333;
  141. margin-left: 10px;
  142. }
  143. #content #changelist .actions .button[name=delete_snapshots] {
  144. background-color: #f91f74;
  145. color: rgb(255 248 252 / 64%);
  146. }
  147. #content #changelist .actions .button[name=add_tags] {
  148. }
  149. #content #changelist .actions .button[name=remove_tags] {
  150. margin-right: 25px;
  151. }
  152. #content #changelist .actions .select2-selection {
  153. max-height: 25px;
  154. }
  155. #content #changelist .actions .select2-container--admin-autocomplete.select2-container {
  156. width: auto !important;
  157. min-width: 90px;
  158. }
  159. #content #changelist .actions .select2-selection__rendered .select2-selection__choice {
  160. margin-top: 3px;
  161. }
  162. #content #changelist-filter h2 {
  163. border-radius: 4px 4px 0px 0px;
  164. }
  165. #changelist .paginator {
  166. border-top: 0px;
  167. border-bottom: 0px;
  168. }
  169. @media (min-width: 767px) {
  170. #content #changelist-filter {
  171. top: 35px;
  172. width: 110px;
  173. margin-bottom: 35px;
  174. }
  175. .change-list .filtered .results,
  176. .change-list .filtered .paginator,
  177. .filtered #toolbar,
  178. .filtered div.xfull {
  179. margin-right: 115px;
  180. }
  181. }
  182. @media (max-width: 1127px) {
  183. #content #changelist .actions {
  184. position: fixed;
  185. bottom: 6px;
  186. left: 10px;
  187. float: left;
  188. z-index: 1000;
  189. }
  190. }
  191. #content a img.favicon {
  192. height: 20px;
  193. max-width: 28px;
  194. vertical-align: -5px;
  195. padding-right: 6px;
  196. }
  197. #content td, #content th {
  198. vertical-align: middle;
  199. padding: 4px;
  200. }
  201. #content #changelist table input {
  202. vertical-align: -2px;
  203. }
  204. #content thead th .text a {
  205. padding: 8px 4px;
  206. }
  207. #content th.field-added, #content td.field-updated {
  208. word-break: break-word;
  209. min-width: 135px;
  210. white-space: normal;
  211. }
  212. #content th.field-title_str {
  213. min-width: 300px;
  214. }
  215. #content td.field-files {
  216. white-space: nowrap;
  217. }
  218. #content td.field-files .exists-True {
  219. opacity: 1;
  220. }
  221. #content td.field-files .exists-False {
  222. opacity: 0.1;
  223. filter: grayscale(100%);
  224. }
  225. #content td.field-size {
  226. white-space: nowrap;
  227. }
  228. #content td.field-url_str {
  229. word-break: break-all;
  230. min-width: 200px;
  231. }
  232. #content tr b.status-pending {
  233. font-weight: 200;
  234. opacity: 0.6;
  235. }
  236. .loader {
  237. border: 16px solid #f3f3f3; /* Light grey */
  238. border-top: 16px solid #3498db; /* Blue */
  239. border-radius: 50%;
  240. width: 30px;
  241. height: 30px;
  242. box-sizing: border-box;
  243. animation: spin 2s linear infinite;
  244. }
  245. @keyframes spin {
  246. 0% { transform: rotate(0deg); }
  247. 100% { transform: rotate(360deg); }
  248. }
  249. .tag {
  250. float: right;
  251. border-radius: 5px;
  252. background-color: #bfdfff;
  253. padding: 2px 5px;
  254. margin-left: 4px;
  255. margin-top: 1px;
  256. }
  257. .exists-False {
  258. opacity: 0.1;
  259. filter: grayscale(100%);
  260. }
  261. #result_list tbody td.field-cmd_str pre,
  262. #result_list tbody td.field-output_str pre {
  263. max-width: 22vw;
  264. word-wrap: anywhere;
  265. white-space: break-spaces;
  266. max-height: 40px;
  267. overflow: hidden;
  268. margin: 2px;
  269. background-color: rgba(0,0,0,0.05);
  270. padding: 1px 4px 16px 8px;
  271. border-radius: 4px;
  272. }
  273. #result_list tbody td.field-extractor {
  274. font-weight: 800;
  275. font-variant: small-caps;
  276. }
  277. #result_list tbody td.field-status {
  278. font-variant: small-caps;
  279. }
  280. .inline-group .tabular td.original p {
  281. margin-top: -33px;
  282. }
  283. tbody .output-link {
  284. float: right;
  285. margin-bottom: -25px;
  286. margin-right: -3px;
  287. margin-top: -4px;
  288. opacity: 0.4;
  289. box-shadow: 4px 4px 4px rgba(0,0,0,0.1);
  290. }
  291. tbody .output-link:hover {opacity: 1;}